tbb::flow::interface9::graph_proxy Class Referenceabstract

Pure virtual template classes that define interfaces for async communication. More...

`#include <flow_graph_abstractions.h>`

Inheritance diagram for tbb::flow::interface9::graph_proxy:

## Public Member Functions

virtual void | reserve_wait ()=0
| Inform a graph that messages may come from outside, to prevent premature graph completion.
virtual void | release_wait ()=0
| Inform a graph that a previous call to reserve_wait is no longer in effect.

## Detailed Description

Pure virtual template classes that define interfaces for async communication.

The documentation for this class was generated from the following file:

- flow_graph_abstractions.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.